Loading...
Searching...
No Matches
AVIAMFMixPresentation Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Mix Presentation

Information on how to render and mix one or more AVIAMFAudioElement to generate the final audio output, as defined in section 3.7 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
AVIAMFSubmix ** | submixes
| Array of submixes.
unsigned int | nb_submixes
| Number of submixes in the presentation.
AVDictionary * | annotations
| A dictionary of strings describing the mix in different languages.

## Detailed Description

Information on how to render and mix one or more AVIAMFAudioElement to generate the final audio output, as defined in section 3.7 of IAMF.

Note
  The struct should be allocated with av_iamf_mix_presentation_alloc() and its size is not a part of the public ABI.

Definition at line 609 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFMixPresentation::av_class

Definition at line 610 of file iamf.h.

## submixes

AVIAMFSubmix** AVIAMFMixPresentation::submixes

Array of submixes.

Set by av_iamf_mix_presentation_add_submix(), must not be modified by any other code.

Definition at line 618 of file iamf.h.

## nb_submixes

unsigned int AVIAMFMixPresentation::nb_submixes

Number of submixes in the presentation.

Set by av_iamf_mix_presentation_add_submix(), must not be modified by any other code.

Definition at line 625 of file iamf.h.

## annotations

AVDictionary* AVIAMFMixPresentation::annotations

A dictionary of strings describing the mix in different languages.

Must have the same amount of entries as every Submix element annotations, stored in the same order, and with the same key strings.

key is a string conforming to BCP-47 that specifies the language for the string stored in value.

Definition at line 637 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h